VERSION 5.00
Begin VB.Form frmValue 
   Caption         =   "Einzelwerte"
   ClientHeight    =   1770
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3525
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1770
   ScaleWidth      =   3525
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   375
      Left            =   2160
      TabIndex        =   2
      Top             =   1320
      Width           =   1215
   End
   Begin VB.TextBox txtValue 
      Alignment       =   1  'Rechts
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   840
      Width           =   3255
   End
   Begin VB.Label lblValue 
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3255
   End
End
Attribute VB_Name = "frmValue"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' #######################
' Constructor: B.Ottmann
' #######################

' Formular nicht mit Schliessen beendet und gueltiger Wert.
Public ValidValue As Boolean

' Die einzulesenden Werte unterliegen unterschiedlichen Pruefungen
Public UseAs As String
Public MaxNumber As Long

' Wert soll uebernommen werden
Private Sub cmdOK_Click()
   ValidValue = ValidateValue
   
   If ValidValue Then
        Me.Visible = False
   End If
End Sub

' Pruefung auf Gueltigkeit der Werte
Private Function ValidateValue() As Boolean
    ' Mehrfachverwendung des Dialogfeldes
    Select Case UseAs
    ' Nutztung zur Callbackfunktionsdurchlaufangabe ;)
    Case "CallBackCancelAt"
        If Not IsNumeric(txtValue.Text) Then
            txtValue.Text = 0
            TBCommon.CallBackCancelAt = 0
            TBCommon.IsCallBackCancel = False
            ValidateValue = False
        Else
            TBCommon.CallBackCancelAt = CLng(txtValue.Text)
            TBCommon.IsCallBackCancel = True
            ValidateValue = True
        End If
    ' Setzten eines Passworts zur Kommunikation mit dem Timeboy
    Case "Passwort"
        If Len(txtValue.Text) > 12 Then
            txtValue.Text = Left(txtValue.Text, 12)
            If MsgBox("Maximal 12 Zeichen." & vbCrLf & "Soll " & txtValue.Text & " bernommen werden.", vbQuestion + vbOKCancel, "bernahme Kennwort") = vbCancel Then
                ValidateValue = False
                Exit Function
            Else
                ValidateValue = True
                Exit Function
            End If
        ElseIf Len(txtValue.Text) = 0 Then
            TBCommon.Passwort = "0"
        Else
            TBCommon.Passwort = txtValue.Text
        End If
        ValidateValue = True
    Case "Message"
    ' Ermitteln des MessageTextes 4Zeilen 12Zeichen pro Zeile
        If Len(txtValue.Text) > 4 * 12 Then
            txtValue.Text = Left(txtValue.Text, 4 * 12)
            If MsgBox("Maximal " & 4 * 12 & " Zeichen." & vbCrLf & "Soll " & txtValue.Text & " bernommen werden.", vbQuestion + vbOKCancel, "Message senden") = vbCancel Then
                ValidateValue = False
                Exit Function
            Else
                ValidateValue = True
                Exit Function
            End If
        ElseIf Len(txtValue.Text) = 0 Then
            TBCommon.Message = "?"
        Else
            TBCommon.Message = txtValue.Text
        End If
        ValidateValue = True
    ' Numerischen Wert zwischen 0 und MaxNumber ermitteln
    Case "Number"
        If IsNumeric(txtValue.Text) Then
            If CLng(txtValue.Text) <= MaxNumber Then
                ' Uebernahme in Allgemeines Modul
                TBCommon.TmpNumber = CLng(txtValue.Text)
                ValidateValue = True
            Else
                MsgBox "Zahl zu gross"
                txtValue.Text = "0"
                ValidateValue = False
            End If
        ElseIf txtValue.Text = "" Then
            TmpNumber = "0"
        Else
            MsgBox "War keine Zahl."
            txtValue.Text = "0"
            ValidateValue = False
        End If
    End Select
End Function
